<?
  session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer;   
	//if (count($pasajes)!=0){
	//$existecod=$objPer->ExisteManifiesto($cod_man);
	$fecha_man=extraerfechamysql($fecha_man);
	//if($existecod==""){ 
	
	$cod_ultimo=$objPer->registrarManifiesto($cod_man,$cod_ruta,$fecha_man,$_SESSION['pesototal2'],count($pasajes),$obser,$via,$carga_max); 
	
	$resto_cargapass=$_SESSION['totaltrip']-count($pasajes);
	$resto_cargatrans=$_SESSION['carga']-($_SESSION['pesototal2']);
	
	//$objPer->UpdateCargaTrans($mat_trans,$resto_cargatrans,$resto_cargapass);
	$nombre_p="codigo_manifiesto"; 
	$objPer->UpdateParametro($nombre_p,$cod_man);
	
	$resultado=$objPer->getLugarO($orig_ruta);
	$filas=$objPer->NextRow($resultado);
	
	$resultadod=$objPer->getLugarD($dest_ruta);
	$filasd=$objPer->NextRow($resultadod);
	
	/* $origen=$filas['origen'];
	$destino=$filasd['destino']; */
	/*}else{
		$resultado=$objPer->getManW($cod_man);
  		$filas=$objPer->NextRow($resultado);
		
		$resultados=$objPer->getRutaW($cod_ruta);
  		$filass=$objPer->NextRow($resultados);
		
		$cargat_man=$filas['cargat_man'];
		$triput_man=$filas['triput_man'];
		
		$cantp_ruta=$filass['cantp_ruta'];
		$pesot_ruta=$filass['pesot_ruta'];
		
		$man_w=$_SESSION['pesototal2']+$cargat_man;
		$man_cant=count($pasajes)+$triput_man;
		$objPer->UpdateManW($cod_man,$man_w,$man_cant); 
	
		$resto_cargapass=$_SESSION['totaltrip']-count($pasajes);
		$resto_cargatrans=$_SESSION['carga']-($_SESSION['pesototal2']);
	
		$objPer->UpdateCargaTrans($cod_ruta,$resto_cargapass,$resto_cargatrans);
	}*/
	  while(list($clave,$valor)=each($pasajes)){  
		$dociden_per=$valor[0];
		$peso_mpass=$valor[1];
		$pesoeq_mpass=$valor[2];
		$tipo_mpass=$valor[3];
		$ccosto=$valor[4];
		$origen=$valor[5];
		$destino=$valor[6];
		
		$resultadoper=$objPer->getCodUltimoMpass($dociden_per);		
		$filaper=$objPer->NextRow($resultadoper);
		$codigo_mpass=$filaper['codigo_mpass'];		
		$objPer->UpdateMPass($codigo_mpass,$fecha_ruta);
		$cia=$objPer->GetEmpPer($dociden_per);
		
		$objPer->registrarManPass($cod_ultimo,$dociden_per,$testimado_ruta,$peso_mpass,$pesoeq_mpass,$tipo_mpass,$origen,$destino,$hora,$cia,$ccosto);
		$objPer->UpdatePerCCostos($dociden_per,$ccosto);
		}
		while(list($clave1,$valor1)=each($cargac)){  
		$des_w=$valor1[0];
		$guia_w=$valor1[1];
		$cant_w=$valor1[2];
		$peso_w=$valor1[3];	
		$compania=$valor1[4];
		$tipounidad=$valor1[5];
		$ttc=$valor1[6];
		$ccosto_w=$valor1[7];
		$origen_w=$valor[8];
		$destino_w=$valor[9];
		$tipo_carga="CARGA";
			if($ttc=='Int'){
			$objPer->registrarManCarga($cod_ultimo,$fecha_man,$des_w,$guia_w,$peso_w,$cant_w,$tipo_carga,$origen_w,$destino_w,$compania,$tipounidad,$ccosto_w,$ttc,$peso_w,0,$carga_max);
			}elseif($ttc=='Ext'){
			$objPer->registrarManCarga($cod_ultimo,$fecha_man,$des_w,$guia_w,$peso_w,$cant_w,$tipo_carga,$origen_w,$destino_w,$compania,$tipounidad,$ccosto_w,$ttc,0,$peso_w,$carga_max);
			}
		}		
		$objPer->UpdateRutanoVer($cod_ruta);		
		Redirigir("../p_manifiestos_plataformas.php?borrar=1&orig_ruta=0&dest_ruta=0&cod=x");
	/* }else{
		Redirigir("cvp_manifiesto_mensaje.php?cod_man=$cod_man&orig_ruta=$orig_ruta&dest_ruta=$dest_ruta&cod_ruta=$cod_ruta&fecha_man=$fecha_man&mat_trans=$mat_trans");
	}	 */
	
?>